<div class="content-body">
    <section *ngIf="isLoading; else notLoadingBlock">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex justify-content-center">
                            <div class="spinner-border text-primary" role="status">
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </section>
    <ng-template #notLoadingBlock>
     <!-- search header -->
     <section id="faq-search-filter">
        <div class="card faq-search" style="background-image: url('assets/app-assets/images/techbynexarise-bg.jpg')">
            <div class="card-body text-center">
                <!-- main title -->
                <h2 class="text-white">Que voulez-vous faire?</h2>
            </div>
        </div>
    </section>
    <!-- /search header -->

    <form [formGroup]="form" (ngSubmit)="next()">
    <div class="custom-options-checkable row">
       
        <div *ngFor="let type of types"  class="col-md-6 pt-1">
            <input class="custom-option-item-check" type="radio" id="services-option-{{type._id}}" formControlName="type" [value]="type" />
            <label for="services-option-{{type._id}}" class="custom-option-item d-flex align-items-center flex-column flex-sm-row px-3 py-2 mb-2">
                <span>
                    <span class="custom-option-item-title h3">{{type.nom}}</span>
                    <!-- <span class="d-block mt-75">
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Qui corrupti unde maiores praesentium consectetur!.
                    </span> -->
                </span>
            </label>
        </div>
        
        
    </div>
    </form>

    <!-- <button type="submit" id="nextStepAuth" class="btn btn-primary " (click)="next()">
        <span class="me-50">Suivant</span>
        <i class='fa-solid fa-arrow-right'></i>
    </button> -->
    <div class="d-flex justify-content-end">
        <app-gen-button text="Terminer" customClass="float-end mt-3 mx-2" [disabled]="!form.valid" [isLoading]="isSubmitLoading" (click)="finish()"></app-gen-button>
        <app-gen-button text="Suivant&nbsp;<i class='fa-solid fa-arrow-right'></i>" customClass="float-end mt-3" [disabled]="!form.valid" (click)="next()"></app-gen-button>
    </div>
    
    </ng-template>
</div>